Summary:	libXext - library for common extensions to the X11 protocol
Summary(pl.UTF-8):	Biblioteka libXext powszechnych rozszerzeń protokołu X11
Name:		xorg-lib-libXext
Version:	1.3.4
Release:	1
Epoch:		1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXext-%{version}.tar.bz2
# Source0-md5:	f5b48bb76ba327cd2a8dc7a383532a95
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	docbook-dtd412-xml
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-libX11-devel >= 1.6
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-proto-xextproto-devel >= 1:7.1.99
BuildRequires:	xorg-proto-xproto-devel >= 7.0.13
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
Requires:	xorg-lib-libX11 >= 1.6
Obsoletes:	libXext
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libXext - library for common extensions to the X11 protocol.

%description -l pl.UTF-8
Biblioteka libXext powszechnych rozszerzeń protokołu X11.

%package devel
Summary:	Header files for libXext library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXext
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.6
Requires:	xorg-lib-libXau-devel
Requires:	xorg-proto-xextproto-devel >= 1:7.1.99
Requires:	xorg-proto-xproto-devel >= 7.0.13
Obsoletes:	libXext-devel

%description devel
libXext - library for common extensions to the X11 protocol.

This package contains the header files needed to develop programs that
use libXext.

%description devel -l pl.UTF-8
Biblioteka libXext powszechnych rozszerzeń protokołu X11.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXext.

%package static
Summary:	Static libXext library
Summary(pl.UTF-8):	Biblioteka statyczna libXext
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libXext-static

%description static
libXext - library for common extensions to the X11 protocol.

This package contains the static libXext library.

%description static -l pl.UTF-8
Biblioteka libXext powszechnych rozszerzeń protokołu X11.

Pakiet zawiera statyczną bibliotekę libXext.

%prep
%setup -q -n libXext-%{version}

# support __libmansuffix__ with "x" suffix (per FHS 2.3)
%{__sed} -i -e 's,\.so man__libmansuffix__/,.so man3/,' man/*.man

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--without-fop
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# (.html version) packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/libXext/{dbelib,dpmslib,shapelib,synclib,xtest1}.*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXext.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXext.so.6

%files devel
%defattr(644,root,root,755)
%doc specs/*.html
%attr(755,root,root) %{_libdir}/libXext.so
%{_libdir}/libXext.la
%{_includedir}/X11/extensions/MITMisc.h
%{_includedir}/X11/extensions/XEVI.h
%{_includedir}/X11/extensions/XLbx.h
%{_includedir}/X11/extensions/XShm.h
%{_includedir}/X11/extensions/Xag.h
%{_includedir}/X11/extensions/Xcup.h
%{_includedir}/X11/extensions/Xdbe.h
%{_includedir}/X11/extensions/Xext.h
%{_includedir}/X11/extensions/Xge.h
%{_includedir}/X11/extensions/dpms.h
%{_includedir}/X11/extensions/extutil.h
%{_includedir}/X11/extensions/multibuf.h
%{_includedir}/X11/extensions/security.h
%{_includedir}/X11/extensions/shape.h
%{_includedir}/X11/extensions/sync.h
%{_includedir}/X11/extensions/xtestext1.h
%{_pkgconfigdir}/xext.pc
%{_mandir}/man3/DBE.3*
%{_mandir}/man3/DPMS*.3*
%{_mandir}/man3/XShape*.3*
%{_mandir}/man3/XShm*.3*
%{_mandir}/man3/Xcup*.3*
%{_mandir}/man3/Xdbe*.3*
%{_mandir}/man3/Xevi*.3*
%{_mandir}/man3/Xmbuf*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXext.a
%changelog
* Sat Jun 01 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libXext.git;a=log;h=master

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 71ff769
- updated to 1.3.4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b3dd3d5
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jul 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 0fa285b
- updated to 1.3.3

* Wed Jun 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 95f891d
- ensure proper .so man links are created
- disable building .ps and .pdf docs using fop (not packaged anyway)

* Sat Jun 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a2aa22
- up to 1.3.2; fixes CVE-2013-1982

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> ce6ba57
- updated to 1.3.0

* Mon May 09 2011 Jakub Bogusz <qboosh@pld-linux.org> c32907a
- updated to 1.3.0

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> af8a085
- BR: docbook-dtd412-xml

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> e0a8b25
- updated to 1.2.0

* Sat Jun 12 2010 Jakub Bogusz <qboosh@pld-linux.org> 78252b0
- update ac version

* Fri Jun 04 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e203f68
- up to 1.1.2

* Wed Dec 16 2009 Jakub Bogusz <qboosh@pld-linux.org> 998d1f7
- remove lbx*.h headers (moved to liblbxutil-devel)
- release 3

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 48be2f6
- rebuild with new libpthread-stubs
- rel 2

* Thu Oct 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a126936
- up to 1.1.1

* Sun Oct 04 2009 Jakub Bogusz <qboosh@pld-linux.org> 491d88e
- updated util-macros version
- added README to doc, better descs

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 10fe511
- up to 1.1

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e01094
- up to 1.0.99.4

* Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 58a6b21
- epoch fixes; rel 3

* Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ec49876
- revert to 1.0.5

* Tue Aug 04 2009 tommat <tommat@pld-linux.org> d7c2b46
- updated deps

